For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Attribute Values
                • PUTUpsert Customer Attribute Values
                • DELDelete Customer Attribute Values
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Attribute Values

Delete Customer Attribute Values

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/customers/attribute-values
DELETE
/stores/:store_hash/v3/customers/attribute-values
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/customers/attribute-values?id:in=1" \
> -H "X-Auth-Token: <apiKey>"
Deletes Customer Attribute Values. Deletes the attribute value from the customer. **Required Query** * id:in - ID of the *Customer Attribute Value*
Was this page helpful?
Previous

Upsert Customer Attribute Values

Next

List Customer Attributes

Built with

Deletes Customer Attribute Values. Deletes the attribute value from the customer.

Required Query

  • id:in - ID of the Customer Attribute Value

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

id:inlist of integersRequired

Filter items by ID. id:in=4,5,6

Response